extension TempState {
    static func reducer(state: inout TempState, action: TempAction) {
        switch action {
        case .dumb:
            state = .init()
            state.someModel = .init(some: true)
        }
    }
}
